| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Destination Code and Code Index

Destination Code and Code Index Definitions and Methods. More...

## Classes
struct | unsp__DestCodeFlags
| Destination Code Flags. More...
struct | unsp__DestCodeId
| Destination Code Identification. More...
struct | unsp__DestCodeData
| Destination Code Data. More...
struct | unsp__DestCodeRequest
| Destination Code request. More...
struct | unsp__ModifyDestCodeRequest
| Modify Destination Code request. More...
struct | unsp__DestCodeResult
| Destination Code result. More...
struct | unsp__DeleteDestCodeRequest
| Delete Destination Code request. More...
struct | unsp__DestCodeInfo
| Destination Code Information. More...
struct | unsp__DestCodeList
| Destination Code List. More...
struct | unsp__GetDestCodeListResult
| Get Destination Code List result. More...
struct | unsp__GetDestCodeListRequest
| Get Destination Code List request. More...
struct | unsp__GetDestCodeResult
| Get Destination Code result. More...
struct | unsp__GetDestCodeRequest
| Get Destination Code request. More...

## Enumerations
enum | unsp__NatureOfAddress { NOA_None, NOA_Unknown, NOA_Subscriber, NOA_National, NOA_International, NOA_LRN_, NOA_NoDN, NOA_Test, NOA_L0, NOA_L1, NOA_L2, NOA_Extension, NOA_CallingLoc, NOA_APPServer, NOA_NRN_CPN, NOA_NRN_NSN, NOA_Code_Index }
| Nature Of Address. More...
enum | unsp__DestCodeDestType { DT_None, DT_Destination, DT_TimeOfDay, DT_Service, DT_HomeDN, DT_EnumDestination, DT_InvalidCode, DT_Intercept, DT_HomeExtension, DT_HomeLocation, DT_CallingLocation, DT_CarrierDest, DT_Prefix_Dest, DT_Code_Index, DT_NewCode, DT_CodeProcessing }
| Destination Code Destination Type. More...
enum | unsp__TrafficTypeSelection { BasedOnTrafficType, BasedOnLocalToll }
| Traffic Type Selection. More...

## Functions
int | unsp__CreateDestCode2 (struct unsp__DestCodeRequest DestCodeRequest, struct unsp__DestCodeResult *DestCodeResult)
| This method is used to create an E.164 Destination Code for the PNP. More...
int | unsp__ModifyDestCode2 (struct unsp__ModifyDestCodeRequest ModifyDestCodeRequest, struct unsp__DestCodeResult *DestCodeResult)
| This method is used to change the Destination Code information. More...
int | unsp__DeleteDestCode2 (struct unsp__DestCodeRequest DeleteDestCodeRequest, struct unsp__DestCodeResult *DestCodeResult)
| This method deletes the specified Destination Code. More...
int | unsp__GetDestCodeList (struct unsp__GetDestCodeListRequest GetDestCodeListReq, struct unsp__GetDestCodeListResult *DestCodeListResult)
| This method is used to retrieve a specified Destination Code or a list of Destination Codes. More...
int | unsp__GetDestCodeList2 (struct unsp__GetDestCodeListRequest GetDestCodeListReq, struct unsp__GetDestCodeListResult *DestCodeListResult)
| Identical to unsp__GetDestCodeList(). More...
int | unsp__GetDestCode (struct unsp__GetDestCodeRequest GetDestCodeReq, struct unsp__GetDestCodeResult *GetDestCodeResult)
| This method retrieves the specified Destination Code. More...

## Detailed Description

Destination Code and Code Index Definitions and Methods.

## Destination Code

The Destination Codes feature provides destination codes for basic telephone service. The destination code will be used for a call if the dialed or modified (in PAC) digits and the Nature of Address are matching. This field specifies the number configured for this Destination Code. A Destination Code Number is the leftmost digit string pattern identifying a group of Directory Numbers. Destination Codes can be of length 1-15.

## Code Index

The concept of a Code Index is to provide a 2-step approach to establishing complex translations when multiple routing areas and classes of service are in use. It creates a template for destination code processing, making it easier to administer complex destination code processing scenarios where routing differs on routing areas and classes of service. Once the code indices and its patterns are defined, they can be used as destinations for the destination codes tables. Once created, patterns can be added to the code index. For the patterns the same rules as in Destination Codes Table apply.

Note
  Destination Codes and Code Indexes share the same provisioning methods. The distinctions between them is done by providing either the destination code digits or the code index name.

## Enumeration Type Documentation

## ◆ unsp__DestCodeDestType

enum unsp__DestCodeDestType

Destination Code Destination Type.

Enumerator
DT_None | None.
DT_Destination | Destination.
DT_TimeOfDay | Time Of Day. Applies to system default PNP. Read only
DT_Service | Service.
DT_HomeDN | Home DN.
DT_EnumDestination | Enum Destination.
DT_InvalidCode | Invalid Code.
DT_Intercept | Intercept.
DT_HomeExtension | Home Extension.
DT_HomeLocation | Home Location.
DT_CallingLocation | Calling LOcation.
DT_CarrierDest | Carrier Destination.
DT_Prefix_Dest | Prefix Destination.
DT_Code_Index | Code Index.
DT_NewCode | New Code.
DT_CodeProcessing | Code Processing.

## ◆ unsp__NatureOfAddress

enum unsp__NatureOfAddress

Nature Of Address.

Enumerator
NOA_None | None.
NOA_Unknown | Unknown.
NOA_Subscriber | Subscriber.
NOA_National | National.
NOA_International | International.
NOA_LRN_ | LRN.
NOA_NoDN | No DN.
NOA_Test | Test.
NOA_L0 | L0.
NOA_L1 | L1.
NOA_L2 | L2.
NOA_Extension | Extension.
NOA_CallingLoc | Calling Location.
NOA_APPServer | Service Broker.
NOA_NRN_CPN | NRN concatenated with Called Party Number.
NOA_NRN_NSN | NRN concatenated with National Significant Number.
NOA_Code_Index | Code Index.

## ◆ unsp__TrafficTypeSelection

enum unsp__TrafficTypeSelection

Traffic Type Selection.

Enumerator
BasedOnTrafficType | Based on Traffic Type.
BasedOnLocalToll | Based On Local Toll.

## Function Documentation

## ◆ unsp__CreateDestCode2()

unsp__CreateDestCode2 | ( | struct unsp__DestCodeRequest | DestCodeRequest,
|  | struct unsp__DestCodeResult * | DestCodeResult
| ) |  |

This method is used to create an E.164 Destination Code for the PNP.

This enables the association of an E.164 Destination Code to the appropriate destination. Each E.164 Code is uniquely defined by the E.164 Code, the Numbering Plan Id, the Nature of Address, the Originating Class of Service, and the Originating Rate Area. Provisioning of the CodeIndex object is overlaid on the destination code (E164 DN code). To qualify the object being administered as a CodeIndex, the CodeIndexName field is specified, which differentiates the object from the E164 code objects.

Parameters

  DestCodeRequest | API request
  DestCodeResult | API result MP2 command: DESTCODECREATE [Attributes]

## ◆ unsp__DeleteDestCode2()

unsp__DeleteDestCode2 | ( | struct unsp__DestCodeRequest | DeleteDestCodeRequest,
|  | struct unsp__DestCodeResult * | DestCodeResult
| ) |  |

This method deletes the specified Destination Code.

Parameters

  DeleteDestCodeRequest | API request
  DestCodeResult | API result MP2 command: DESTCODEREMOVE [Attributes]

## ◆ unsp__GetDestCode()

unsp__GetDestCode | ( | struct unsp__GetDestCodeRequest | GetDestCodeReq,
|  | struct unsp__GetDestCodeResult * | GetDestCodeResult
| ) |  |

This method retrieves the specified Destination Code.

Parameters

  GetDestCodeReq | API request
  GetDestCodeResult | API result

## ◆ unsp__GetDestCodeList()

unsp__GetDestCodeList | ( | struct unsp__GetDestCodeListRequest | GetDestCodeListReq,
|  | struct unsp__GetDestCodeListResult * | DestCodeListResult
| ) |  |

This method is used to retrieve a specified Destination Code or a list of Destination Codes.

When filters are provided, all the Destination Codes that belong to the specified filter are retrieved. If a Destination Code is specified, all the Destination Codes are retrieved. Entering a filter is available with this option. If a Destination Code is specified with a wild card, all the Destination Codes that start with the specified Destination Code digits are retrieved. Entering a filter is available with this option. If neither the Destination Code nor a filter is specified, all the Destination Codes are retrieved. If max Destination Codes is specified, all the Destination Codes are retrieved up to the maximum number of Destination Codes specified. If the max Destination Code is not specified, the maximum number of Destination Codes retrieved is 100.

Parameters

  GetDestCodeListReq | API request
  DestCodeListResult | API result

## ◆ unsp__GetDestCodeList2()

unsp__GetDestCodeList2 | ( | struct unsp__GetDestCodeListRequest | GetDestCodeListReq,
|  | struct unsp__GetDestCodeListResult * | DestCodeListResult
| ) |  |

Identical to unsp__GetDestCodeList().

Parameters

  GetDestCodeListReq | API request
  DestCodeListResult | API result

## ◆ unsp__ModifyDestCode2()

unsp__ModifyDestCode2 | ( | struct unsp__ModifyDestCodeRequest | ModifyDestCodeRequest,
|  | struct unsp__DestCodeResult * | DestCodeResult
| ) |  |

This method is used to change the Destination Code information.

Parameters

  ModifyDestCodeRequest | API request
  DestCodeResult | API result MP2 command: DESTCODEMODIFY [Attributes]